summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-05-26 11:06:12 +0200
committerAlexis Ballier <aballier@gentoo.org>2016-05-26 11:28:45 +0200
commit2498949dfcc605bbd29058ef61b8f618149066b8 (patch)
tree955f2552e3376f1cb33091827a173a3892f36bf1 /dev-util/rosinstall
parentmail-filter/mailfilter: version bump to 0.8.4 (diff)
downloadgentoo-2498949dfcc605bbd29058ef61b8f618149066b8.tar.gz
gentoo-2498949dfcc605bbd29058ef61b8f618149066b8.tar.bz2
gentoo-2498949dfcc605bbd29058ef61b8f618149066b8.zip
dev-util/rosinstall: bump to 0.7.8
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'dev-util/rosinstall')
-rw-r--r--dev-util/rosinstall/Manifest1
-rw-r--r--dev-util/rosinstall/rosinstall-0.7.8.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-util/rosinstall/Manifest b/dev-util/rosinstall/Manifest
index 4090fdea69a..b966e5f60e8 100644
--- a/dev-util/rosinstall/Manifest
+++ b/dev-util/rosinstall/Manifest
@@ -1,2 +1,3 @@
DIST rosinstall-0.7.6.tar.gz 64788 SHA256 e5abe3ddb34a84cb77ce926a71112ccda985ed95462f757a24cb67f0e6aa3d9e SHA512 e7e480995e612557e146c9f8c5158aa3109dbc3a3b324f67d9a533cae75a10bae45bdd1573e63bb8bda2b3d7d1ef494c2de3eb06e8ee4f1e05d50f10e5015997 WHIRLPOOL 3affdbb949906007382bd1e2f59b48d0cb8d842d3f93ce6027066dbe644954b1ba337e44ea2d02acd26e9381a308452f84dd2d8ff3993eeb3d180ee82431e734
DIST rosinstall-0.7.7.tar.gz 64838 SHA256 286802588ae4b16c5e081b52d46a0b1023deafa42200ee2f1c04c758fcae744d SHA512 1d36d78d4d8a770fda09f4db6463012a8c9a63f76d01e4cfe29505b388ae0f5289e70590b418730b1d04bfc2efa7f2554300787b6757e1ec85d39dcd514fdf52 WHIRLPOOL 5b06382611c95c7c192a45beb641f532aa468cf289a10d867938f98e9dd8586e0c87e8155a320d93fe306abe16eaff7bd92a646f54d45995a3e1c92809144b33
+DIST rosinstall-0.7.8.tar.gz 26430 SHA256 2ba808bf8bac2cc3f13af9745184b9714c1426e11d09eb96468611b2ad47ed40 SHA512 a53ae8fb96f9dda4671b22dfd9dbadc18d1e4adbf34a50b6706baf971c1c7ee418e14641d334346b02638f06c10d1bc984b4759c92a39510dd0044fbc346be67 WHIRLPOOL ef84d3cc5c37792a6b1b7c85b8ae2caa9cf8ed36a3150c3270a9230a1cec32597041db7d73a03ed57cb2686d0791fb5c36764ea79518c6da6a9bca4e358e83a7
diff --git a/dev-util/rosinstall/rosinstall-0.7.8.ebuild b/dev-util/rosinstall/rosinstall-0.7.8.ebuild
new file mode 100644
index 00000000000..c9c0d41525a
--- /dev/null
+++ b/dev-util/rosinstall/rosinstall-0.7.8.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/vcstools/rosinstall"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Command-line tools for maintaining a workspace of projects for ROS"
+HOMEPAGE="http://wiki.ros.org/rosinstall http://wiki.ros.org/roslocate"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ https://github.com/vcstools/rosinstall/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ >=dev-python/vcstools-0.1.38[${PYTHON_USEDEP}]
+ dev-python/rosdistro[${PYTHON_USEDEP}]
+ >=dev-util/wstool-0.1.12[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-vcs/git
+ dev-vcs/bzr
+ dev-vcs/mercurial
+ app-shells/zsh
+ )
+"
+
+python_test() {
+ # From travis.yml
+ # Set git config to silence some stuff in the tests
+ git config --global user.email "foo@example.com"
+ git config --global user.name "Foo Bar"
+ # Set the hg user
+ echo -e "[ui]\nusername = Your Name <your@mail.com>" >> ~/.hgrc
+ # Set the bzr user
+ bzr whoami "Your Name <name@example.com>"
+ # command to run tests
+ # Local tests work even if ros.org is down
+ export ROSINSTALL_SKIP_PYTHON3=1
+ nosetests test || die
+}